> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Transfer Status - WIP

> Use this API to get the status of the Batch Transfer.



## OpenAPI

````yaml get /payout/v1/getBatchTransferStatus-wip
openapi: 3.1.0
info:
  title: Payouts
  version: '4'
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1/getBatchTransferStatus-wip:
    get:
      summary: Get Batch Transfer Status - WIP
      description: Use this API to get the status of the Batch Transfer.
      operationId: get-batch-transfer-status-wip
      parameters:
        - name: batchTransferId
          in: query
          description: It is the unique ID created for the batch transfer.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "status" : "SUCCESS",
                      "subCode": "200", 
                      "message": "Data retrieved successfully", 
                      "data":
                      { 
                       "rowCount" : 2, 
                       "referenceId" : 1582, 
                       "transfers": 
                       [ { 
                          "beneId":"9999999999_18875", 
                          "transferId":"PTM_00121241112", 
                          "referenceId":1523969542, 
                          "bankAccount":"9999999999", 
                          "ifsc":"PYTM0000001", 
                          "amount":"12.00", 
                          "remarks":"",
                          "status":"SUCCESS", 
                          "utr":"W1532082925", 
                          "addedOn":"2018-07-20", 
                          "processedOn":"2018-07-20"
                        },
                        {
                          "beneId":"9999999999_18875", 
                          "transferId":"PTM_00052312126", 
                          "referenceId":1523969543, 
                          "bankAccount":"9999999999",
                          "ifsc":"PYTM0000001", 
                          "amount":"12.00", 
                          "remarks":"", 
                          "status":"SUCCESS", 
                          "utr":"W1532082926", 
                          "addedOn":"2018-07-20", 
                          "processedOn":"2018-07-20"
                        }]
                       }
                    }
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: SUCCESS
                  subCode:
                    type: string
                    example: '200'
                  message:
                    type: string
                    example: Data retrieved successfully
                  data:
                    type: object
                    properties:
                      rowCount:
                        type: integer
                        example: 2
                        default: 0
                      referenceId:
                        type: integer
                        example: 1582
                        default: 0
                      transfers:
                        type: array
                        items:
                          type: object
                          properties:
                            beneId:
                              type: string
                              example: '9999999999_18875'
                            transferId:
                              type: string
                              example: PTM_00121241112
                            referenceId:
                              type: integer
                              example: 1523969542
                              default: 0
                            bankAccount:
                              type: string
                              example: '9999999999'
                            ifsc:
                              type: string
                              example: PYTM0000001
                            amount:
                              type: string
                              example: '12.00'
                            remarks:
                              type: string
                              example: ''
                            status:
                              type: string
                              example: SUCCESS
                            utr:
                              type: string
                              example: W1532082925
                            addedOn:
                              type: string
                              example: '2018-07-20'
                            processedOn:
                              type: string
                              example: '2018-07-20'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    { 
                      "status": "ERROR", 
                      "subCode": "404", 
                      "message": "Batch Transfer Id does not exist" 
                    }
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ERROR
                  subCode:
                    type: string
                    example: '404'
                  message:
                    type: string
                    example: Batch Transfer Id does not exist
        '403':
          description: '403'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "status": "ERROR",
                        "subCode": "403",
                        "message": "Token is not valid"
                    }
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ERROR
                  subCode:
                    type: string
                    example: '403'
                  message:
                    type: string
                    example: Token is not valid
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                        "status": "ERROR",
                        "subCode": "422",
                        "message": "Please provide a valid batchTransferId"
                    }
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ERROR
                  subCode:
                    type: string
                    example: '422'
                  message:
                    type: string
                    example: Please provide a valid batchTransferId
      deprecated: false

````